List custom attribute definitions
curl --request GET \
--url https://back.leap.onclarity.com/api/custom-attributes/definitions/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://back.leap.onclarity.com/api/custom-attributes/definitions/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://back.leap.onclarity.com/api/custom-attributes/definitions/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"list": [
{
"id": 123,
"object_type": "ticket",
"key": "<string>",
"label": "<string>",
"type": "text",
"options": [
{
"id": "<string>",
"label": "<string>",
"position": 123,
"archived": false
}
],
"validation": {
"max_length": 123,
"pattern": "<string>",
"pattern_error_message": "<string>",
"min": 123,
"max": 123,
"min_date": "<string>",
"max_date": "<string>",
"min_date_time": "<string>",
"max_date_time": "<string>",
"max_selections": 123
},
"required": true,
"ai_context": true,
"code_context": true,
"hidden": true,
"position": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"default_value": null,
"created_by": {
"id": 123,
"name": "<string>",
"avatar_url": "<string>"
}
}
],
"total": 123
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}Customers
List custom attribute definitions
GET
/
api
/
custom-attributes
/
definitions
/
list
List custom attribute definitions
curl --request GET \
--url https://back.leap.onclarity.com/api/custom-attributes/definitions/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://back.leap.onclarity.com/api/custom-attributes/definitions/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://back.leap.onclarity.com/api/custom-attributes/definitions/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"list": [
{
"id": 123,
"object_type": "ticket",
"key": "<string>",
"label": "<string>",
"type": "text",
"options": [
{
"id": "<string>",
"label": "<string>",
"position": 123,
"archived": false
}
],
"validation": {
"max_length": 123,
"pattern": "<string>",
"pattern_error_message": "<string>",
"min": 123,
"max": 123,
"min_date": "<string>",
"max_date": "<string>",
"min_date_time": "<string>",
"max_date_time": "<string>",
"max_selections": 123
},
"required": true,
"ai_context": true,
"code_context": true,
"hidden": true,
"position": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"default_value": null,
"created_by": {
"id": 123,
"name": "<string>",
"avatar_url": "<string>"
}
}
],
"total": 123
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}Authorizations
Your organization API key (it starts with anek_org_). The same key works on the Voice API and the Support API. See Authentication.